import pygsl
import pygsl.wavelet as wavelet
import pygsl._numobj as numx
import sys


def run(array):
    l = len(array)
    w = wavelet.daubechies(4)
    ws = wavelet.workspace(l)
    #print w.get_n()
    print w.transform_forward(array,ws) 
    
    
if __name__ == '__main__':
    pygsl.set_debug_level(0)
    a = numx.arange(16)
    b = numx.cos(a*(2*numx.pi / 16.))
    b = a * 0.0
    run(b)
